# List all workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
/api/v1/workflows
# List running workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
"/api/v1/workflows?query=ExecutionStatus%3D%27Running%27"
[
{
"execution": {
"workflowId": "curator-sweep-20260226-143022",
"runId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"type": {
"name": "CuratorWorkflow"
},
"startTime": "2026-02-26T14:30:22.154Z",
"status": "WORKFLOW_EXECUTION_STATUS_RUNNING"
},
{
"execution": {
"workflowId": "janitor-scan-20260226-120000",
"runId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"type": {
"name": "JanitorWorkflow"
},
"startTime": "2026-02-26T12:00:00.000Z",
"closeTime": "2026-02-26T12:05:13.442Z",
"status": "WORKFLOW_EXECUTION_STATUS_COMPLETED"
}
]
Retrieve a list of workflows with optional filtering
# List all workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
/api/v1/workflows
# List running workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
"/api/v1/workflows?query=ExecutionStatus%3D%27Running%27"
[
{
"execution": {
"workflowId": "curator-sweep-20260226-143022",
"runId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"type": {
"name": "CuratorWorkflow"
},
"startTime": "2026-02-26T14:30:22.154Z",
"status": "WORKFLOW_EXECUTION_STATUS_RUNNING"
},
{
"execution": {
"workflowId": "janitor-scan-20260226-120000",
"runId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"type": {
"name": "JanitorWorkflow"
},
"startTime": "2026-02-26T12:00:00.000Z",
"closeTime": "2026-02-26T12:05:13.442Z",
"status": "WORKFLOW_EXECUTION_STATUS_COMPLETED"
}
]
ExecutionStatus='Running'WorkflowType='MyWorkflow' AND ExecutionStatus='Completed'StartTime > '2026-01-01T00:00:00Z'# List all workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
/api/v1/workflows
# List running workflows
curl -X GET \
-H "Authorization: Bearer alf_your_key_here" \
"/api/v1/workflows?query=ExecutionStatus%3D%27Running%27"
[
{
"execution": {
"workflowId": "curator-sweep-20260226-143022",
"runId": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
},
"type": {
"name": "CuratorWorkflow"
},
"startTime": "2026-02-26T14:30:22.154Z",
"status": "WORKFLOW_EXECUTION_STATUS_RUNNING"
},
{
"execution": {
"workflowId": "janitor-scan-20260226-120000",
"runId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"type": {
"name": "JanitorWorkflow"
},
"startTime": "2026-02-26T12:00:00.000Z",
"closeTime": "2026-02-26T12:05:13.442Z",
"status": "WORKFLOW_EXECUTION_STATUS_COMPLETED"
}
]
Was this page helpful?